package org.foxarmy.barcodescannerforemployees.fragments

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import org.foxarmy.barcodescannerforemployees.DBStorageController
import org.foxarmy.barcodescannerforemployees.databinding.FragmentExpiryDatesBinding
import org.foxarmy.barcodescannerforemployees.views.ExpiryGroupView

class ExpiryDatesFragment : Fragment() {
    private lateinit var binding: FragmentExpiryDatesBinding

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        binding = FragmentExpiryDatesBinding.inflate(layoutInflater)

        fillUp()

        return binding.root
    }


    private fun fillUp() {
        val dates = DBStorageController(requireContext()).findAllExpiryDates(DBStorageController(requireContext()).readableDatabase)

        val container = binding.datesLinearLayout

        dates.forEach { date ->
            val newDate = ExpiryGroupView(requireActivity(), requireContext(), date)
            container.addView(newDate)
        }
    }
}